<?php
/**
*
* @package Error page PHP Code
* @version 1.0.0 of 08.03.2011
* @copyright (c) By Shapoval Andrey Vladimirovich (AllCity) ~ http://allcity.net.ru/
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*
**/

/**
* DO NOT CHANGE (IN_PHPBB)!
*/
define('IN_PHPBB', true);

// Custom Page code from http://www.phpbb.com/kb/article/add-a-new-custom-page-to-phpbb/
$phpbb_root_path = (defined('PHPBB_ROOT_PATH')) ? PHPBB_ROOT_PATH : './';
$phpEx = substr(strrchr(__FILE__, '.'), 1);
include($phpbb_root_path.'common.'.$phpEx);

// Start session management.
$user->session_begin();
$auth->acl($user->data);
$user->setup('mods/error_lang');

// Reguest
$error_page = request_var('page', 0);
$error_redirect = append_sid("{$phpbb_root_path}index.$phpEx");

// Request mode...
switch ($error_page)
{
  case '400':
  $msg_title = $user->lang['SERROR_400_TITLE'];
  meta_refresh(3, $error_redirect);
  trigger_error($user->lang['SERROR_400_DESCRIPTION'].'<br /><br />'.sprintf($user->lang['RETURN_INDEX'], '<a href="'.$error_redirect.'">', '</a>'), E_USER_ERROR);
  break;
  case '401':
  $msg_title = $user->lang['SERROR_401_TITLE'];
  meta_refresh(3, $error_redirect);
  trigger_error($user->lang['SERROR_401_DESCRIPTION'].'<br /><br />'.sprintf($user->lang['RETURN_INDEX'], '<a href="'.$error_redirect.'">', '</a>'), E_USER_ERROR);
  break;
  case '403':
  $msg_title = $user->lang['SERROR_403_TITLE'];
  meta_refresh(3, $error_redirect);
  trigger_error($user->lang['SERROR_403_DESCRIPTION'].'<br /><br />'.sprintf($user->lang['RETURN_INDEX'], '<a href="'.$error_redirect.'">', '</a>'), E_USER_ERROR);
  break;
  case '404':
  meta_refresh(3, $error_redirect);
  $msg_title = $user->lang['SERROR_404_TITLE'];
  meta_refresh(3, $error_redirect);
  trigger_error($user->lang['SERROR_404_DESCRIPTION'].'<br /><br />'.sprintf($user->lang['RETURN_INDEX'], '<a href="'.$error_redirect.'">', '</a>'), E_USER_NOTICE);
  break;
  case '500':
  $msg_title = $user->lang['SERROR_500_TITLE'];
  trigger_error($user->lang['SERROR_500_DESCRIPTION'], E_USER_ERROR);
  break;
  case '503':
  $msg_title = $user->lang['SERROR_503_TITLE'];
  trigger_error($user->lang['SERROR_503_DESCRIPTION'], E_USER_ERROR);
  break;
  default:
  $msg_title = $user->lang['SERROR_UNKNOWN_TITLE'];
  trigger_error($user->lang['SERROR_UNKNOWN_DESCRIPTION'], E_USER_ERROR);
  break;
}
?>